%undefine __find_provides
%undefine __find_requires

Summary:	VoiceOne is a web application to easily set up and manage an Asterisk server
Name:		voiceone
Version:	0.3.1
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.voiceone.it/
Source0:	http://prdownloads.sourceforge.net/voiceone/voiceone_webservices0_3_1.zip
Patch0:		voiceone_webservices-0.3.1-mdv_conf.diff
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache-mpm-prefork >= 2.0.54
Requires(pre):	apache-mod_php php-mysql
Requires:	apache-mod_php php-mysql sudo asterisk asterisk-addons
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
VoiceOne is an easy-to-use, Web-based GUI for the Asterisk PBX. It
gives full control over PBX settings from the admin configuration
panel. You can manage extensions, VoIP trunks, users' queues and
rules sets, and dynamically create an IVR.

%prep

%setup -q -n voiceone_webservices

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

%patch0 -p1

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}/var/www/%{name}
install -d %{buildroot}%{_datadir}/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

install -m0755 config/script/*.sh %{buildroot}%{_datadir}/%{name}/
cat > %{buildroot}%{_datadir}/%{name}/set-lan.sh << EOF
#!/bin/sh
echo "he he, nice try...!"
EOF
chmod 755 %{buildroot}%{_datadir}/%{name}/set-lan.sh

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF
Alias /%{name} %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from All
</Directory>
EOF

# cleanup
rm -rf %{buildroot}/var/www/%{name}/config/script

%post
# add sudoers entry
/bin/chmod a+w /etc/sudoers
grep -q 'apache' /etc/sudoers || \
echo "apache ALL=(root) NOPASSWD:%{_initrddir}/asterisk,NOPASSWD:%{_initrddir}/misdn-init,NOPASSWD:%{_sbindir}/astgenkey,NOPASSWD:%{_datadir}/%{name}/script/*" >> /etc/sudoers;
/bin/chmod 0440 /etc/sudoers
%_post_webapp

%postun
# it it's a full uninstall
if [ "$1" = "0" ]; then
# remove sudoers entry
/bin/chmod a+w /etc/sudoers
grep -q 'apache' /etc/sudoers && perl -ni -e 'print unless m!^apache.*!' /etc/sudoers;
/bin/chmod 0440 /etc/sudoers
fi
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
/var/www/%{name}
%config(noreplace) %attr(0644,root,root) /var/www/%{name}/config/cfg.php
%{_datadir}/%{name}
%dir %attr(0755,apache,root) /var/www/%{name}/sandbox

%changelog
* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdk
- initial Mandriva package
